Game Develop Core: gd::MainFrameWrapper Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::MainFrameWrapper Class Reference

Provides access to some specific features or members of the IDE. More...

`#include <MainFrameWrapper.h>`

## Public Member Functions

| MainFrameWrapper (wxRibbonBar *ribbon_, wxRibbonButtonBar *ribbonSceneEditorButtonBar_, wxTopLevelWindow *mainEditor_, wxAuiManager *paneManager_, wxAuiNotebook *editorsNotebook_, wxInfoBar *infoBar_, std::vector< wxWindow * > *scenesLockingShortcuts_, const wxString &workingDirectory_)
wxRibbonBar * | GetRibbon () const
wxRibbonButtonBar * | GetRibbonSceneEditorButtonBar () const
wxAuiManager & | GetPaneManager () const
wxTopLevelWindow * | GetMainEditor () const
void | LockShortcuts (wxWindow *window)
void | UnLockShortcuts (wxWindow *window)
wxInfoBar * | GetInfoBar () const
wxAuiNotebook * | GetEditorsNotebook ()
wxString | GetIDEWorkingDirectory () const
void | DisableControlsForScenePreviewing ()
void | EnableControlsAfterScenePreviewing ()
void | AddControlToBeDisabledOnPreview (wxWindow *control)
void | RemoveControlToBeDisabledOnPreview (wxWindow *control)

## Detailed Description

Provides access to some specific features or members of the IDE.

## Constructor & Destructor Documentation

gd::MainFrameWrapper::MainFrameWrapper | ( | wxRibbonBar * | ribbon_,
|  | wxRibbonButtonBar * | ribbonSceneEditorButtonBar_,
|  | wxTopLevelWindow * | mainEditor_,
|  | wxAuiManager * | paneManager_,
|  | wxAuiNotebook * | editorsNotebook_,
|  | wxInfoBar * | infoBar_,
|  | std::vector< wxWindow * > * | scenesLockingShortcuts_,
|  | const wxString & | workingDirectory_
| ) |  |

inline

Constructor, only called by the IDE itself to construct the MainFrameWrapper.

## Member Function Documentation

void gd::MainFrameWrapper::AddControlToBeDisabledOnPreview | ( | wxWindow * | control) |  |

inline

Used by the IDE to setup controls to be disabled when a scene is previewed.

void gd::MainFrameWrapper::DisableControlsForScenePreviewing | ( | ) |  |

Call this method when a scene is going to be previewed and others controls than the scene editor must be deactivated

void gd::MainFrameWrapper::EnableControlsAfterScenePreviewing | ( | ) |  |

inline

Call this method when a scene preview has ended.

wxAuiNotebook* gd::MainFrameWrapper::GetEditorsNotebook | ( | ) |  |

inline

Return a pointer to the notebook holding editors

wxString gd::MainFrameWrapper::GetIDEWorkingDirectory | ( | ) |  | const

inline

Return the working directory of the IDE. ( i.e. IDE executable directory )

wxInfoBar* gd::MainFrameWrapper::GetInfoBar | ( | ) |  | const

inline

Get pointer to the IDE infobar.

wxTopLevelWindow* gd::MainFrameWrapper::GetMainEditor | ( | ) |  | const

inline

Return the pointer to the IDE window.

wxAuiManager& gd::MainFrameWrapper::GetPaneManager | ( | ) |  | const

inline

Get pointer to the wxAUI pane manager

wxRibbonBar* gd::MainFrameWrapper::GetRibbon | ( | ) |  | const

inline

Return the pointer to the ribbon of the IDE.

wxRibbonButtonBar* gd::MainFrameWrapper::GetRibbonSceneEditorButtonBar | ( | ) |  | const

inline

Return the pointer to the Scene ribbon's wxRibbonButtonBar of the main editor.

void gd::MainFrameWrapper::LockShortcuts | ( | wxWindow * | window) |  |

inline

Add a scene to the list of scenes being previewed and so locking shortcuts

void gd::MainFrameWrapper::RemoveControlToBeDisabledOnPreview | ( | wxWindow * | control) |  |

Remove a control to the list of controls to be disabled on preview

void gd::MainFrameWrapper::UnLockShortcuts | ( | wxWindow * | window) |  |

inline

Remove a scene from the list of scenes locking shortcuts.

The documentation for this class was generated from the following files:

- MainFrameWrapper.h
- MainFrameWrapper.cpp